using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;
using System.Data;
using System.Data.SqlClient;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[ScriptService]
public class AutoCompleteService : System.Web.Services.WebService {

    [WebMethod]
    [ScriptMethod]
    public string[] AutoCompleteJmeno(string prefixText, int count) {
        using (DataTable dt = new DataTable()) {
            // Otevt databzi
            using (SqlConnection db = new SqlConnection()) {
                db.ConnectionString = System.Configuration.ConfigurationManager.ConnectionStrings["Jmena"].ConnectionString;
                db.Open();

                // Pipravit SQL dotaz
                // (TOP nepedvme parametrem kvli SQL 2000, injection zde nehroz)
                string sql = "SELECT TOP " + count + " Jmeno FROM CetnostMuzi WHERE Jmeno LIKE @Jmeno + '%'";
                using (SqlCommand cmd = new SqlCommand(sql, db)) {
                    cmd.Parameters.Add("@Jmeno", SqlDbType.VarChar, 50).Value = prefixText;

                    // Nast data z DB do tabulky
                    using (SqlDataAdapter da = new SqlDataAdapter(cmd)) da.Fill(dt);
                }
                db.Close();
            }

            // Vrtit data v podob pole etzc
            string[] items = new string[dt.Rows.Count];
            if (items.Length > 0) {
                for (int i = 0; i < items.Length; i++) items[i] = dt.Rows[i]["Jmeno"] as string;
            }
            return items;
        }
    }

}

